Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Defines | Functions

# missing/erf.c File Reference

`#include <stdio.h>`
`#include <math.h>`
Include dependency graph for erf.c:

Go to the source code of this file.

## Defines
#define | LOG_PI_OVER_2 0.572364942924700087071713675675
## Functions
static double | q_gamma (double, double, double)
static double | p_gamma (double a, double x, double loggamma_a)
double | erf (double x)
double | erfc (double x)

## Define Documentation

#define LOG_PI_OVER_2 0.572364942924700087071713675675

Definition at line 68 of file erf.c.

Referenced by erf(), and erfc().

## Function Documentation

double erf | ( | double | x | ) |

Definition at line 70 of file erf.c.

References finite(), isnan, LOG_PI_OVER_2, and p_gamma().

Referenced by math_erf().

double erfc | ( | double | x | ) |

Definition at line 80 of file erf.c.

References finite(), isnan, LOG_PI_OVER_2, p_gamma(), and q_gamma().

Referenced by math_erfc().

static double p_gamma | ( | double | a,
|  | double | x,
|  | double | loggamma_a
| ) |  | `[static]`

Definition at line 28 of file erf.c.

References q_gamma(), and result.

Referenced by erf(), erfc(), and q_gamma().

static double q_gamma | ( | double | a,
|  | double | x,
|  | double | loggamma_a
| ) |  | `[static]`

Definition at line 47 of file erf.c.

References p_gamma(), and result.

Referenced by erfc(), and p_gamma().